Update PHP 5.3 problem, php53-common conflicts with php-comm

Issues related to software problems.
Post Reply
ChrisKM
Posts: 3
Joined: 2014/06/21 15:41:03

Update PHP 5.3 problem, php53-common conflicts with php-comm

Post by ChrisKM » 2014/06/21 15:45:05

I want to upgrade a CentOS 5, currently with PHP 5.3.3 and Plesk 11.5

When I try the yum update, I got this:

SITEBUILDER_11_5_10-thirdparty | 951 B 00:00
php53-common-5.3.3-22.el5_10.i386 from updates has depsolving problems
--> php53-common conflicts with php-common
Attempt to remove 'php53-common' to resolve conflict has succeeded
php53-common-5.3.3-22.el5_10.i386 from updates has depsolving problems
--> php53-common conflicts with php-common
Attempt to remove 'php53-common' to resolve conflict has succeeded
php53-common-5.3.3-22.el5_10.i386 from updates has depsolving problems
--> php53-common conflicts with php-common
Attempt to remove 'php53-common' to resolve conflict has succeeded
php53-common-5.3.3-22.el5_10.i386 from updates has depsolving problems
--> php53-common conflicts with php-common
Attempt to remove 'php53-common' to resolve conflict has succeeded
php53-common-5.3.3-22.el5_10.i386 from updates has depsolving problems
--> php53-common conflicts with php-common
Attempt to remove 'php53-common' to resolve conflict has succeeded
php53-common-5.3.3-22.el5_10.i386 from updates has depsolving problems
--> php53-common conflicts with php-common
Exception: Failed to solve dependencies:
php53-common conflicts with php-common

I added some repos:

yum repolist
Loaded plugins: fastestmirror, replace, security
Loading mirror speeds from cached hostfile
* atomic: www3.atomicorp.com
* base: mirror.raystedman.net
* epel: mirror.compevo.com
* extras: mirrors.centarra.com
* ius: mirror.sothatswhy.org.uk
* remi: mirrors.mediatemple.net
* updates: ftpmirror.your.org
* webtatic-el5: us-east.repo.webtatic.com
repo id repo name status
atomic CentOS / Red Hat Enterprise Linux 5 - atomicrocketturtle.com 1,617
base CentOS-5 - Base 2,789
epel Extra Packages for Enterprise Linux 5 - i386 6,222
extras CentOS-5 - Extras 271
google-mod-pagespeed google-mod-pagespeed 36
ius IUS Community Packages for Enterprise Linux 5 - i386 202
mod-pagespeed mod-pagespeed 36
remi Les RPM de remi pour Enterprise Linux 5 - i386 1,604
updates CentOS-5 - Updates 444
webtatic-el5 Webtatic Repository EL5 - i386 133
repolist: 13,354


I tried to disable atomic Plesk have a support thread talking about this, but doesn´t worked.

I have about 30 sites working, so I don´t want to mess the server, but for security and new WP and Joomla versions I need the new PHP.

Any ideas?

Thanks

User avatar
TrevorH
Forum Moderator
Posts: 26933
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Update PHP 5.3 problem, php53-common conflicts with php-

Post by TrevorH » 2014/06/21 17:01:32

Congratulations, you have a complete mess of third party yum repositories defined. From the list there I can see that you have atomic, ius, remi and webtatic all of which supply different versions of php. Of those, the only one that I would trust and use is IUS. Webtatic, Atomic and Remi all overwrite core CentOS packages without warning. That's in addition to using Plesk which, in common with most web panels, replaces core CentOS components, usually by compiling them from source outside of yum control.

You need to talk to Plesk about which of those repos you should use alongside their product. If you aim to keep Plesk then they are the people you need to ask to help you to solve this mess. Sorry if that's not the advice you were hoping for but they change so many things about CentOS that any advice we might give you here might just make things worse. However I can tell you that having all those repos defined and in use and without use of either yum-plugin-priorities to control which repos are preferred over others or use of includepkgs=/exclude= in each repo definition, you are heading for a train wreck.
CentOS 5 died in March 2017 - migrate NOW!
CentOS 6 goes EOL sooner rather than later, get upgrading!
Full time Geek, part time moderator. Use the FAQ Luke

ChrisKM
Posts: 3
Joined: 2014/06/21 15:41:03

Re: Update PHP 5.3 problem, php53-common conflicts with php-

Post by ChrisKM » 2014/06/22 15:08:39

Thanks, as you can see obliviously I don´t have any idea of this, I will deactivate all teh other repos, and try again, if no lucky the pay for support... as i´m not a guru :|

ChrisKM
Posts: 3
Joined: 2014/06/21 15:41:03

Re: Update PHP 5.3 problem, php53-common conflicts with php-

Post by ChrisKM » 2014/06/22 15:15:16

You was right! thanks man!

Post Reply

Return to “CentOS 5 - Software Support”